Loading...
Searching...
No Matches
Magick::DrawableTranslation Class Reference
Inheritance diagram for Magick::DrawableTranslation:

## Public Member Functions

| DrawableTranslation (double x_, double y_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const

## Private Attributes

double | _x
double | _y

## Detailed Description

Definition at line 2251 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableTranslation()

Magick::DrawableTranslation::DrawableTranslation | ( | double | x_,
|  | double | y_
| ) |  |

inline

Definition at line 2254 of file Drawable.h.

: _x(x_),
_y(y_)
{ }

## ~DrawableTranslation()

Magick::DrawableTranslation::~DrawableTranslation | ( | void |  | ) |

Definition at line 1726 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableTranslation::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1734 of file Drawable.cpp.

{
return new DrawableTranslation(*this);
}

## operator()()

void Magick::DrawableTranslation::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1729 of file Drawable.cpp.

{
DrawTranslate( context_, _x, _y );
}

## x() [1/2]

void Magick::DrawableTranslation::x | ( | double | x_ | ) |

inline

Definition at line 2267 of file Drawable.h.

{
_x = x_;
}

## x() [2/2]

double Magick::DrawableTranslation::x | ( | void |  | ) | const

inline

Definition at line 2271 of file Drawable.h.

{
return _x;
}

## y() [1/2]

void Magick::DrawableTranslation::y | ( | double | y_ | ) |

inline

Definition at line 2276 of file Drawable.h.

{
_y = y_;
}

## y() [2/2]

double Magick::DrawableTranslation::y | ( | void |  | ) | const

inline

Definition at line 2280 of file Drawable.h.

{
return _y;
}

## Field Documentation

## _x

double Magick::DrawableTranslation::_x

private

Definition at line 2286 of file Drawable.h.

## _y

double Magick::DrawableTranslation::_y

private

Definition at line 2287 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp